using System;
internal class Program
    {
        static void Main(string[] args)
        {
            string[] l1 = Console.ReadLine().Split(" ");
            string[] l2 = Console.ReadLine().Split(" ");
            int n = int.Parse(l1[0]);
            int l = int.Parse(l1[1]);
            int[] stalaktiti = new int[n];
            for (int i = 0; i < n; i++)
            {
                stalaktiti[i] = int.Parse(l2[i]);
            }
            int x = -1;
            for (int i = 0; i < n; i++)
            {
                if (stalaktiti[i] <= l)
                {
                    x = i + 1;
                    break;
                }
            }
                Console.WriteLine(x);
        }
    }